Bug 49674 - twm can coredump if it can't get a window name
Summary: twm can coredump if it can't get a window name
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-23 01:16 UTC by Jonathan Kamens
Modified: 2008-06-14 18:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 18:50:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix twm coredump (374 bytes, patch)
2001-07-23 01:16 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2001-07-23 01:16:21 UTC
If I18N_FetchName in util.c in the twm source code fails to retrieve the
window name AddWindow in add_window.c doesn't notice this and attempts to
use the name variable anyways, even though it hasn't been initialized.

The easiest way to fix this is to set the window name variable to NULL in
I18N_FetchName explicitly, because AddWindow checks for this.  I will
attach a patch.

Comment 1 Jonathan Kamens 2001-07-23 01:16:40 UTC
Created attachment 24548 [details]
patch to fix twm coredump

Comment 2 Mike A. Harris 2001-07-25 01:05:55 UTC
Fixed internally in 4.1.0-0.9.5, patch applied.  Will appear
in future rawhide release.

Comment 3 David Lawrence 2006-04-10 15:27:33 UTC
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Comment 4 Mike A. Harris 2008-06-14 13:48:44 UTC
Too bad bugzilla does not let you change the bug owner without reopening the bug
report.  I no longer work at Red Hat, and have anything to do with X, and don't
want any more twm bug report emails.  ;o)



Comment 5 Mike A. Harris 2008-06-14 13:52:00 UTC
Even better, is it wont let me change it back to NOTABUG, meaning if you want to
detach from getting bug spam on particular bugs, you have no option other than
to annoy everyone else involved with the bug too.  

Comment 6 Matěj Cepl 2008-06-14 18:50:13 UTC
You can annoy me in the private email, I would gladly fix it for you (and
especially for you).


Note You need to log in before you can comment on or make changes to this bug.